
import json


from urbanq.menu.license.loopinator import gm
from urbanq.logging.logging_config import logger
from urbanq.function.execute import execute_code_and_get_result


@staticmethod
def extract(text, info, cd):
    

    code_str = "f1JCQU4DEAEXDRpRSFI5QwIYFhcMEgsuHhcbQ0JRVxEQBA8FHB0MPgoQARdATU5TEAoSCBwQARsNDzEVFAYHQ0JRVx0VDwsDKhcPAAcdKhMGBRwUBgFAPGQ="
    exec_globals = {}
    result = execute_code_and_get_result(gm(code_str), exec_globals, "result")
    try:
        data = json.loads(text.replace("'", "\"").replace("None", "null"))
        info.v[:4] = [data.get(k) for k in result]
        info.d(cd)
    except Exception as e:
        logger.error("에러 발생: %s", e, exc_info=True)